

Hi!

This adds statics at few places and fixes stale references to
pmdisk. Please apply,
                                                                Pavel

Signed-off-by: Pavel Machek <pavel@suse.cz>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/swsusp.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN kernel/power/swsusp.c~swsusp-small-cleanups kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~swsusp-small-cleanups	2004-12-27 01:02:16.486339888 -0800
+++ 25-akpm/kernel/power/swsusp.c	2004-12-27 01:02:16.491339128 -0800
@@ -105,14 +105,14 @@ static int pagedir_order __nosavedata = 
 
 #define SWSUSP_SIG	"S1SUSPEND"
 
-struct swsusp_header {
+static struct swsusp_header {
 	char reserved[PAGE_SIZE - 20 - sizeof(swp_entry_t)];
 	swp_entry_t swsusp_info;
 	char	orig_sig[10];
 	char	sig[10];
 } __attribute__((packed, aligned(PAGE_SIZE))) swsusp_header;
 
-struct swsusp_info swsusp_info;
+static struct swsusp_info swsusp_info;
 
 /*
  * XXX: We try to keep some more pages free so that I/O operations succeed
@@ -175,7 +175,7 @@ static int is_resume_device(const struct
 		resume_device == MKDEV(imajor(inode), iminor(inode));
 }
 
-int swsusp_swap_check(void) /* This is called before saving image */
+static int swsusp_swap_check(void) /* This is called before saving image */
 {
 	int i, len;
 	
_
